diff --git a/functional/FXCssTests/src/test/css/controls/ControlPage.java b/functional/FXCssTests/src/test/css/controls/ControlPage.java
--- a/functional/FXCssTests/src/test/css/controls/ControlPage.java
+++ b/functional/FXCssTests/src/test/css/controls/ControlPage.java
@@ -25,18 +25,19 @@
 package test.css.controls;
 
 import com.sun.javafx.collections.ObservableListWrapper;
-import javafx.css.CssMetaData;
-import com.sun.javafx.scene.control.skin.CellSkinBase;
-import com.sun.javafx.scene.control.skin.ColorPickerSkin;
-import com.sun.javafx.scene.control.skin.PaginationSkin;
-import com.sun.javafx.scene.control.skin.ProgressIndicatorSkin;
-import com.sun.javafx.scene.control.skin.TableColumnHeader;
-import com.sun.javafx.scene.control.skin.TextInputControlSkin;
-import com.sun.javafx.scene.control.skin.TreeCellSkin;
+import javafx.scene.control.skin.CellSkinBase;
+import javafx.scene.control.skin.ColorPickerSkin;
+import javafx.scene.control.skin.PaginationSkin;
+import javafx.scene.control.skin.ProgressIndicatorSkin;
+import javafx.scene.control.skin.TableColumnHeader;
+import javafx.scene.control.skin.TextInputControlSkin;
+import javafx.scene.control.skin.TreeCellSkin;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Method;
 import java.time.LocalDate;
 import java.time.Month;
+import java.time.format.DateTimeFormatter;
+import java.time.format.DateTimeFormatterBuilder;
 import java.util.*;
 import javafx.application.ConditionalFeature;
 import javafx.application.Platform;
@@ -44,6 +45,7 @@
 import javafx.beans.value.ObservableValue;
 import javafx.collections.FXCollections;
 import javafx.collections.ObservableList;
+import javafx.css.CssMetaData;
 import javafx.css.Styleable;
 import javafx.geometry.HPos;
 import javafx.geometry.Pos;
@@ -56,52 +58,37 @@
 import javafx.scene.chart.XYChart;
 import javafx.scene.control.Accordion;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.CheckBox;
-import javafx.scene.control.CheckBoxBuilder;
 import javafx.scene.control.ChoiceBox;
 import javafx.scene.control.ColorPicker;
 import javafx.scene.control.ComboBox;
 import javafx.scene.control.Control;
 import javafx.scene.control.DatePicker;
 import javafx.scene.control.Hyperlink;
-import javafx.scene.control.HyperlinkBuilder;
 import javafx.scene.control.Label;
-import javafx.scene.control.LabelBuilder;
 import javafx.scene.control.ListView;
 import javafx.scene.control.Menu;
 import javafx.scene.control.MenuBar;
 import javafx.scene.control.MenuItem;
 import javafx.scene.control.Pagination;
 import javafx.scene.control.PasswordField;
-import javafx.scene.control.PasswordFieldBuilder;
 import javafx.scene.control.ProgressBar;
-import javafx.scene.control.ProgressBarBuilder;
 import javafx.scene.control.ProgressIndicator;
-import javafx.scene.control.ProgressIndicatorBuilder;
 import javafx.scene.control.RadioButton;
-import javafx.scene.control.RadioButtonBuilder;
 import javafx.scene.control.ScrollBar;
-import javafx.scene.control.ScrollBarBuilder;
 import javafx.scene.control.ScrollPane;
 import javafx.scene.control.Separator;
-import javafx.scene.control.SeparatorBuilder;
 import javafx.scene.control.Slider;
-import javafx.scene.control.SliderBuilder;
 import javafx.scene.control.SplitMenuButton;
-import javafx.scene.control.SplitMenuButtonBuilder;
 import javafx.scene.control.SplitPane;
-import javafx.scene.control.SplitPaneBuilder;
 import javafx.scene.control.Tab;
 import javafx.scene.control.TabPane;
 import javafx.scene.control.TableColumn;
 import javafx.scene.control.TableColumn.CellDataFeatures;
 import javafx.scene.control.TableView;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import javafx.scene.control.TitledPane;
 import javafx.scene.control.ToggleButton;
-import javafx.scene.control.ToggleButtonBuilder;
 import javafx.scene.control.ToolBar;
 import javafx.scene.control.TreeItem;
 import javafx.scene.control.TreeView;
@@ -109,7 +96,7 @@
 import javafx.scene.image.ImageView;
 import javafx.scene.layout.FlowPane;
 import javafx.scene.layout.HBox;
-import javafx.scene.layout.StackPaneBuilder;
+import javafx.scene.layout.StackPane;
 import javafx.scene.layout.TilePane;
 import javafx.scene.layout.VBox;
 import javafx.scene.paint.Color;
@@ -118,8 +105,6 @@
 import javafx.scene.text.Text;
 import javafx.util.Callback;
 import javafx.util.StringConverter;
-import java.time.format.DateTimeFormatter;
-import java.time.format.DateTimeFormatterBuilder;
 
 /**
  *
@@ -145,7 +130,10 @@
         }
     }, 200), Buttons(Button.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return ButtonBuilder.create().text("Button the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(10, 10, Color.RED)).build();
+            Button temp = new Button("Button the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setFocusTraversable(false);
+            temp.setGraphic(new Rectangle(10, 10, Color.RED));
+            return temp;
         }
     }, 200, 100), ChoiceBoxes(ChoiceBox.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
@@ -159,7 +147,10 @@
         }
     }), CheckBoxes(CheckBox.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return CheckBoxBuilder.create().text("Check box the first line" + "\nthe sec long line" + "\nthe third line").graphic(new Rectangle(20, 20, Color.web("lightblue"))).focusTraversable(false).build();
+            CheckBox temp = new CheckBox("Check box the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setFocusTraversable(false);
+            temp.setGraphic(new Rectangle(20, 20, Color.web("lightblue")));
+            return temp;
         }
     }, 200, 100), ComboBoxes(ComboBox.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         @Override
@@ -174,7 +165,10 @@
         }
     }), Hyperlinks(Hyperlink.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return HyperlinkBuilder.create().text("Hyperlink the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Circle(10, Color.BLUE)).build();
+            Hyperlink temp = new Hyperlink("Hyperlink the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setFocusTraversable(false);
+            temp.setGraphic(new Circle(10, Color.BLUE));
+            return temp;
         }
     }, 200, 100), Labels(new ArrayList<CssMetaData<? extends Styleable, ?>>(Label.getClassCssMetaData()) {
         {
@@ -182,7 +176,10 @@
         }
     }, new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return LabelBuilder.create().text("Label the first line" + "\nthe sec longlong line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(20, 20, Color.web("lightblue"))).build();
+            Label temp = new Label("Label the first line" + "\nthe sec longlong line" + "\nthe third line");
+            temp.setFocusTraversable(false);
+            temp.setGraphic(new Rectangle(20, 20, Color.web("lightblue")));
+            return temp;
         }
     }, 200), ListViews(ListView.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Node createControl() {
@@ -196,11 +193,18 @@
         }
     }, 150), PasswordFields(PasswordField.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return PasswordFieldBuilder.create().promptText("Password box the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).build();
+            PasswordField temp = new PasswordField();
+            temp.setPromptText("Password box the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setFocusTraversable(false);
+            return temp;
         }
     }), PressedToggleButtons(ToggleButton.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return ToggleButtonBuilder.create().selected(true).text("Button the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(10, 10, Color.RED)).build();
+            ToggleButton temp = new ToggleButton("Button the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setSelected(true);
+            temp.setFocusTraversable(false);
+            temp.setGraphic(new Rectangle(10, 10, Color.RED));
+            return temp;
         }
     }, 200, 120), ProgressIndicators(new ArrayList<CssMetaData<? extends Styleable, ?>>(ProgressIndicator.getClassCssMetaData()) {
         {
@@ -208,15 +212,23 @@
         }
     }, new ControlsCSSApp.ControlFactory() {
         public Node createControl() {
-            return ProgressIndicatorBuilder.create().progress(0.85).prefHeight(100).prefWidth(100).focusTraversable(false).build();
+            ProgressIndicator temp = new ProgressIndicator(0.85);
+            temp.setPrefSize(100, 100);
+            temp.setFocusTraversable(false);
+            return temp;
         }
     }), ProgressBars(ProgressBar.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Node createControl() {
-            return ProgressBarBuilder.create().progress(0.25).focusTraversable(false).build();
+            ProgressBar temp = new ProgressBar(0.25);
+            temp.setFocusTraversable(false);
+            return temp;
         }
     }, 200, 100), RadioButtons(RadioButton.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return RadioButtonBuilder.create().text("Radio the first line" + "\nthe sec long line" + "\nthe third line").graphic(new Rectangle(20, 20, Color.web("lightblue"))).focusTraversable(false).build();
+            RadioButton temp = new RadioButton("Radio the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setFocusTraversable(false);
+            temp.setGraphic(new Rectangle(20, 20, Color.web("lightblue")));
+            return temp;
         }
     }, 200, 100), TextFields(new ArrayList<CssMetaData<? extends Styleable, ?>>(TextField.getClassCssMetaData()) {
         {
@@ -224,21 +236,34 @@
         }
     }, new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return TextFieldBuilder.create().text("Text box the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).build();
+            TextField temp = new TextField("Text box the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setFocusTraversable(false);
+            return temp;
         }
     }), Sliders(Slider.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return SliderBuilder.create().min(0).max(100).value(20).focusTraversable(false).build();
+            Slider temp = new Slider();
+            temp.setMin(0);
+            temp.setMax(100);
+            temp.setValue(20);
+            temp.setFocusTraversable(false);
+            return temp;
         }
     }, 200), Separators(Separator.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            Separator sep = SeparatorBuilder.create().halignment(HPos.CENTER).build();
+            Separator sep = new Separator();
+            sep.setHalignment(HPos.CENTER);
             sep.setPrefWidth(80);
             return sep;
         }
     }, 150), ScrollBars(ScrollBar.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return ScrollBarBuilder.create().value(45).min(0).max(100).focusTraversable(false).build();
+            ScrollBar temp = new ScrollBar();
+            temp.setValue(45);
+            temp.setMin(0);
+            temp.setMax(100);
+            temp.setFocusTraversable(false);
+            return temp;
         }
     }, 150), ScrollPanes(ScrollPane.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Node createControl() {
@@ -255,12 +280,18 @@
         }
     }, 150), UnPressedToggleButtons(ToggleButton.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Control createControl() {
-            return ToggleButtonBuilder.create().selected(false).text("Button the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(10, 10, Color.RED)).build();
+            ToggleButton temp = new ToggleButton("Button the first line" + "\nthe sec long line" + "\nthe third line");
+            temp.setGraphic(new Rectangle(10, 10, Color.RED));
+            temp.setSelected(false);
+            temp.setFocusTraversable(false);
+            return temp;
         }
     }, 200, 120), Toolbars(ToolBar.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Node createControl() {
             ToolBar toolbar = new ToolBar();
-            toolbar.getItems().addAll(new Button("One"), new Button("Two"), new Separator(), SplitMenuButtonBuilder.create().text("three").build());
+            SplitMenuButton temp = new SplitMenuButton();
+            temp.setText("three");
+            toolbar.getItems().addAll(new Button("One"), new Button("Two"), new Separator(), temp);
             toolbar.setFocusTraversable(false);
             return toolbar;
         }
@@ -287,7 +318,9 @@
         }
     }, 250, 150), SplitMenuButtons(SplitMenuButton.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Node createControl() {
-            SplitMenuButton smb = SplitMenuButtonBuilder.create().text("Split box the first line" + "\nthe sec long line" + "\nthe third line").items(new MenuItem("Split box the first line" + "\nthe sec long line" + "\nthe third line", new Rectangle(10, 10, Color.BLUE))).graphic(new Rectangle(10, 10, Color.RED)).build();
+            SplitMenuButton smb = new SplitMenuButton(new MenuItem("Split box the first line" + "\nthe sec long line" + "\nthe third line", new Rectangle(10, 10, Color.BLUE)));
+            smb.setText("Split box the first line" + "\nthe sec long line" + "\nthe third line");
+            smb.setGraphic(new Rectangle(10, 10, Color.RED));
             smb.setFocusTraversable(false);
             return smb;
         }
@@ -375,7 +408,11 @@
         }
     }, 200, 300), SplitPanes(SplitPane.getClassCssMetaData(), new ControlsCSSApp.ControlFactory() {
         public Node createControl() {
-            SplitPane pane = SplitPaneBuilder.create().items(StackPaneBuilder.create().children(new Rectangle(40, 40, Color.WHITESMOKE)).build(), StackPaneBuilder.create().children(new Rectangle(40, 40, Color.BLUE)).build(), StackPaneBuilder.create().children(new Rectangle(40, 40, Color.RED)).build()).prefWidth(150).prefHeight(150).build();
+            StackPane sp1 = new StackPane(new Rectangle(40, 40, Color.WHITESMOKE));
+            StackPane sp2 = new StackPane(new Rectangle(40, 40, Color.BLUE));
+            StackPane sp3 = new StackPane(new Rectangle(40, 40, Color.RED));
+            SplitPane pane = new SplitPane(sp1, sp2, sp3);
+            pane.setPrefSize(150, 150);
             pane.setDividerPositions(0.33, 0.67);
             pane.setFocusTraversable(false);
             return pane;
diff --git a/functional/FXCssTests/src/test/css/controls/ControlsCSSApp.java b/functional/FXCssTests/src/test/css/controls/ControlsCSSApp.java
--- a/functional/FXCssTests/src/test/css/controls/ControlsCSSApp.java
+++ b/functional/FXCssTests/src/test/css/controls/ControlsCSSApp.java
@@ -102,9 +102,6 @@
         if (control instanceof Text) {
             control.relocate(0, 0); // workaround RT-24670
         }
-        if (showButtons) {
-            style.setStyle(control);
-        }
         pageWithSlot.add(new StyleTestNode(style, control, innerPane));
     }
 
diff --git a/functional/FXCssTests/src/test/css/controls/ControlsCssStylesFactory.java b/functional/FXCssTests/src/test/css/controls/ControlsCssStylesFactory.java
--- a/functional/FXCssTests/src/test/css/controls/ControlsCssStylesFactory.java
+++ b/functional/FXCssTests/src/test/css/controls/ControlsCssStylesFactory.java
@@ -56,7 +56,6 @@
 import javafx.scene.effect.InnerShadow;
 import javafx.scene.layout.HBox;
 import javafx.scene.layout.Pane;
-import javafx.scene.layout.PaneBuilder;
 import javafx.scene.layout.Region;
 import javafx.scene.layout.VBox;
 import javafx.scene.paint.Color;
@@ -842,7 +841,9 @@
                                 VBox box = (VBox) control;
                                 box.getChildren().clear();
                                 box.setStyle(box.getStyle() + "-fx-border-color:blue;");
-                                box.getChildren().add(PaneBuilder.create().children(new Rectangle(20, 20, Color.TRANSPARENT)).style("-fx-border-color:red;").build());
+                                Pane temp = new Pane(new Rectangle(20, 20, Color.TRANSPARENT));
+                                temp.setStyle("-fx-border-color:red;");
+                                box.getChildren().add(temp);
                             }
                         }
                     }});
@@ -1025,7 +1026,9 @@
                                 HBox box = (HBox) control;
                                 box.getChildren().clear();
                                 box.setStyle(box.getStyle() + "-fx-border-color:blue;");
-                                box.getChildren().add(PaneBuilder.create().children(new Rectangle(20, 20, Color.TRANSPARENT)).style("-fx-border-color:red;").build());
+                                Pane temp = new Pane(new Rectangle(20, 20, Color.TRANSPARENT));
+                                temp.setStyle("-fx-border-color:red;");
+                                box.getChildren().add(temp);
                             }
                         }
                     }
diff --git a/functional/FXCssTests/src/test/css/controls/api/APIStylesApp.java b/functional/FXCssTests/src/test/css/controls/api/APIStylesApp.java
--- a/functional/FXCssTests/src/test/css/controls/api/APIStylesApp.java
+++ b/functional/FXCssTests/src/test/css/controls/api/APIStylesApp.java
@@ -85,9 +85,6 @@
             innerPane.setPrefSize(page.slotWidth - page.INNER_PANE_SHIFT, page.slotHeight - ControlPage.INNER_PANE_SHIFT);
             innerPane.setMaxSize(page.slotWidth - page.INNER_PANE_SHIFT, page.slotHeight - page.INNER_PANE_SHIFT);
             innerPane.getChildren().add(control);
-            if (showButtons) {
-                stylePage.setStyle(control);
-            }
             rootNode.add(new TestNodeLeaf(stylePage.name().replace("_", "-"), innerPane));
         }
     }
@@ -104,4 +101,4 @@
     public static void main(String[] args) {
         Utils.launch(APIStylesApp.class, args);
     }
-}
\ No newline at end of file
+}
diff --git a/functional/FXCssTests/src/test/css/stylesheets/StylesheetApp.java b/functional/FXCssTests/src/test/css/stylesheets/StylesheetApp.java
--- a/functional/FXCssTests/src/test/css/stylesheets/StylesheetApp.java
+++ b/functional/FXCssTests/src/test/css/stylesheets/StylesheetApp.java
@@ -32,7 +32,7 @@
 import javafx.scene.input.MouseEvent;
 import javafx.scene.layout.Pane;
 import javafx.scene.layout.StackPane;
-import javafx.scene.layout.VBoxBuilder;
+import javafx.scene.layout.VBox;
 import javafx.scene.text.Text;
 import javafx.stage.Stage;
 import test.javaclient.shared.Utils;
@@ -71,7 +71,10 @@
             }
         });
         scene.getStylesheets().add(styles[styleIndex]);
-        pane.getChildren().add(VBoxBuilder.create().alignment(Pos.CENTER).spacing(50).children(golden, button).build());
+        VBox temp = new VBox(golden, button);
+        temp.setAlignment(Pos.CENTER);
+        temp.setSpacing(50);
+        pane.getChildren().add(temp);
         stage.setScene(scene);
         stage.setTitle("Test for RT-17348." + VersionInfo.getRuntimeVersion());
         stage.show();
diff --git a/functional/FXCssTests/src/test/css/utils/StyleGenerator.java b/functional/FXCssTests/src/test/css/utils/StyleGenerator.java
--- a/functional/FXCssTests/src/test/css/utils/StyleGenerator.java
+++ b/functional/FXCssTests/src/test/css/utils/StyleGenerator.java
@@ -26,7 +26,7 @@
 
 import javafx.css.StyleConverter;
 import javafx.css.CssMetaData;
-import com.sun.javafx.css.converters.*;
+import javafx.css.converter.*;
 import com.sun.javafx.scene.layout.region.*;
 import java.util.HashSet;
 import java.util.Set;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesAccordionTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesAccordionTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesAccordionTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesAccordionTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesButtonTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesButtonTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesButtonTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesButtonTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesCheckBoxTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesCheckBoxTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesCheckBoxTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesCheckBoxTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesChoiceBoxTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesChoiceBoxTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesChoiceBoxTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesChoiceBoxTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesColorPickerTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesColorPickerTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesColorPickerTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesColorPickerTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesHyperlinkTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesHyperlinkTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesHyperlinkTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesHyperlinkTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesLabelTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesLabelTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesLabelTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesLabelTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesListCellTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesListCellTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesListCellTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesListCellTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
@@ -96,7 +96,7 @@
         Assert.assertTrue(styleNames.contains("-fx-cell-size"));
         Map<String, CssMetaData> styles = getStyles();
         CssMetaData data = styles.get("-fx-cell-size");
-        Assert.assertEquals(24.0, data.getInitialValue(getControl()));
+        Assert.assertEquals(data.getInitialValue(getControl()), "15");
     }
 
     @Test
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesListViewTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesListViewTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesListViewTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesListViewTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesMenuButtonTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesMenuButtonTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesMenuButtonTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesMenuButtonTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesPaginationTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesPaginationTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesPaginationTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesPaginationTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesPasswordFieldTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesPasswordFieldTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesPasswordFieldTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesPasswordFieldTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressBarTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressBarTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressBarTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressBarTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressIndicatorTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressIndicatorTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressIndicatorTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesProgressIndicatorTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesRadioButtonTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesRadioButtonTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesRadioButtonTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesRadioButtonTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
diff --git a/functional/FXCssTests/test/test/css/controls/api/styles/StylesScrollBarTest.java b/functional/FXCssTests/test/test/css/controls/api/styles/StylesScrollBarTest.java
--- a/functional/FXCssTests/test/test/css/controls/api/styles/StylesScrollBarTest.java
+++ b/functional/FXCssTests/test/test/css/controls/api/styles/StylesScrollBarTest.java
@@ -42,7 +42,7 @@
 import org.jemmy.fx.Root;
 import org.jemmy.action.GetAction;
 import client.test.Keywords;
-import com.sun.javafx.scene.control.skin.*;
+import javafx.scene.control.skin.*;
 import javafx.scene.paint.Paint;
 import javafx.geometry.Insets;
 import com.sun.javafx.scene.layout.region.RepeatStruct;
